
:root{
  --fuentePrincipal: 'Roboto', sans-serif;
  --fuenteSecundaria: 'Lato', sans-serif;

  --gray: #5E5E5E;
  --white: #f3f3f3;
  --black: #000000;
  --blackLetter: #333333;
  


  --separacion: 5rem;
}

/*Snipet: 1rem = 10px*/
html{
  box-sizing: border-box;
  font-size: 62.5%;
}*,*:before, *:after{
  box-sizing: inherit;
}


*{
  margin: 0;
  padding: 0;
  list-style: none;

  box-sizing: border-box;
  text-decoration: none;
  font-family: 'Open Sans', sans-serif;

  scroll-behavior: smooth;
}

body{
  font-family: var(--fuentePrincipal);
  font-size: 1.6rem;
  line-height: 1.5;

 
}

h1,h2,h3{
  font-weight: 900;
  margin: calc(var(--separacion)/ 2) 0;
}

h1{
  font-size: 3rem;

}
h2{
  font-size: 2.5rem ;
 
}
h3{
  font-size: 2rem;
}
p{
  font-size: 1.2rem;
}

img{
  width: 100%;
  height: auto;
  display: block;
}


.block-scroll{
  overflow: hidden;
}











/* nav */

.container{
 
  height: 100%;
  width: 100%;
}
.container__header{
  background-color: var(--black);
}
.container__footer{
  background-color: var(--black);
}
.container__download{
  background-color: var(--white);
}
.footer{
  max-width: calc(120rem);
  margin: auto;
}

.nav{

  background-color: var(--black);
  height: 7rem;
  width: 100%;
  max-width: calc(120rem);
  margin: 0 auto;

  display: flex;
  justify-content: space-between;

  
}


.nav__logo{
  color: var(--white);
  font-size: 2rem;
  font-weight: 400;
  line-height: 7rem; 
 

  padding-left: 2rem;
  cursor: pointer;
}



.nav__links li a{
  color: var(--white);
  text-transform: capitalize;
  font-size: 1.5rem;
  font-weight: 600;
  border-radius: 20px;
  padding: 1rem 2rem;
  
  cursor: pointer;
}

.nav__links--mobile li a:hover{
  background-color: var(--gray);
  transition: .5s;
}
.nav__links--mobile li .login{
  background-color: var(--white);
  color: var(--black);

}
.nav__links--mobile li .login:hover{
  background-color: #e2e2e2;
}


.nav__links--mobile{
  display: flex;
  justify-content: center;
  align-items: center;
}
/* .nav__links--desktop {
  display: none;
} */
 #check{
  display: none;
}
.nav__checkbtn{
  width: 3rem;
  height: 3rem;
  font-size: 2rem;

  

  cursor: pointer;
  line-height: 35px;
 
  border-radius: 50px;

  margin-right: 2rem;
}

.nav__checkbtn i{
  display: block;
  text-align: center;
  color: var(--white);
  border-radius: 70px;
}


.link__lang{
  display: none;
}
.nav__checkbtn{
  display: block;

}

/* despliegue de menu en mobile */

.nav__links--desktop{
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: -100;
 
  top: -100%;
  transition: all .5s;
  
}
.nav.active .nav__links--desktop {
  top: 7rem;
  z-index: 10000;
  background-color: var(--white);
}

.nav__links--desktop li{
  display: block;
  margin: 2rem 0;
  line-height: 4rem;
}

.nav__links--desktop li a{
  color: var(--black);
  text-transform: capitalize;
  font-size: 3rem;
  font-weight: bold;
  border-radius: 20px;
  padding: 1rem 2rem;
  
  cursor: pointer;
}

.nav__links--desktop li a:hover{
  color: var(--gray);

}















/* desktop */
@media (min-width: 1130px) {
  .nav{
    padding: 0 2rem;
    
  }
  .nav__container{
    display: flex;
    gap: 2rem;
  }
  .nav__links{
    display: flex;
    justify-content: center;
    align-items: center;
  
  }
  .nav__checkbtn{
    display: none;
  }
  .link__lang{
    display: inline;
  }

  .nav__links--desktop{
    position: relative;
    top: auto;
    left: auto;
    
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    
    z-index:auto;
  }

  
  .nav__links--desktop li a{
  color: var(--white);
  text-transform: capitalize;
  font-size: 1.5rem;;
  font-weight: 600;
  border-radius: 20px;
  padding: 1rem 2rem;
  
  cursor: pointer;
}

.nav__links--desktop li a:hover{
  background-color: var(--gray);
  color: var(--white);
  transition: .5s;
}





}













section{

  height: auto;
  width: 100%;

  max-width: calc(120rem);
  margin: auto;
  padding: 2rem;


}


.header__title{
  color: var(--white);
  font-size: 4rem;
  font-weight: 700;
  line-height: normal;
}
.header p{
  color: var(--white);
  margin-bottom: 2rem;
}

.header_button{

  display: inline-block;
  margin: 2rem 0;
  padding: 1.5rem 3rem;
  border-radius: 7px;
  background-color: var(--white);
  color: var(--black);
  font-weight: 600;
  font-size: 1.4rem;

}

.header__inputs div{
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: min(95%, 40rem);

  margin-bottom: 1rem;

  border-radius: 8px;

  
}

.header__inputs{
  width: 100%;
}

.header__inputs input{
  padding: 1.5rem 4rem;

  border: none;
  border-radius: 8px;

  min-width: 100%;

}

.input__send{
 
  position: relative;
}
.ubi{
  padding: 0;
  margin: 0;
  position: absolute;
  top: 13px;
  right:15px;

  font-size: 2rem;

  color: var(--black);
  cursor: pointer;

}

.circle{
  padding: 0;
  margin: 0;
  position: absolute;
  top: 18px;
  left:15px;

  font-size: 1rem;

  color: var(--black);

}
.input__send .square{
  
  position: absolute;
  top: 20px;
  left:15px;

  
  height: 0.8rem;
  max-width: 0.8rem;
 
  border: 3px solid var(--black);

  color: var(--black);
  border-radius: 0px;
  
}
.header__inputs{

  position: relative;
}
.line{
  position: absolute;
  background-color: var(--white);
  top: 3.5rem;
  left: 1.8rem ;
  height: 4rem;
  max-width: 1px;

  z-index: 100;
}
























@media (min-width: 1130px) {
    .header{
   
      display: flex;
      justify-content: space-between;
      align-items: center;

      padding: 5rem 3rem 5rem 0;
      
    }
    .header__img{
      width: auto;
    }
    .header__info{
      display: flex;
      flex-direction: column;
      align-items: start;

      padding: 5rem 0 5rem 5rem;

     
      max-width: 45rem;
    
    }
}





/* Secciones del main */

.container__services{
  background-color: #ffffff;
  padding: 0;
}

.services{

    width: auto;


}
.services__title{
  font-size: 3.6rem;
  font-weight: 700;
  line-height: 4.5rem;

}
.services p{
    font-size: 1.6rem;
    color: var(--blackLetter);
   
    margin-bottom: 2rem;
}
.services .services__btn{
  display: inline-block;
    padding: 1.3rem 3rem;
    border-radius: 8px;
    background-color: var(--black);
    color: var(--white);

    font-weight: bold;

    margin: 1rem 0;


}
.services .services__btn:hover{
  background-color: var(--blackLetter);
}
.services__links{
  display: inline-block;
  margin-left: 0;
}

.services__links a {
 
  color: var(--black);
  position: relative;
  text-decoration: none;
  display: inline-block; /* Asegura que el pseudo-elemento se posicione correctamente */
  border-bottom: 1px solid #cbcbcb; /* Subrayado inicial */
  z-index: 1; /* Asegura que el enlace sea clickable */

}

.services__links a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px; /* Alinea el pseudo-elemento con el borde inferior del enlace */
  width: 100%;
  height: 1px; /* Mismo grosor que el subrayado inicial */
  background-color: var(--black);
  transform: scaleX(0);
  transform-origin: left;
  transition: transform 0.3s ease-in-out;
  z-index: -1; /* Coloca el pseudo-elemento detrás del texto */
}

.services__links a:hover::after {
  transform: scaleX(1);
}



.services img{
  margin-top: 3rem;
}




@media (min-width: 1130px) {
    .container__services{
     display: flex;
     flex-direction: column;
     padding: 5rem;
     gap: 5rem;
    }
    .services{
 
      display: grid;
      grid-template-columns: 1fr 1fr;
      grid-template-areas: "img info";
      gap: 5rem;
     

      height: 100%;
      
     
    }
    .services:nth-child(2){
      grid-template-areas: "info img";
    }
    .services__info{
      
      align-content: center;
      grid-area: info;
     
   
    }
    .services__links{
      display: inline-block;
      margin-left: 2rem;
    }
    
    
    .services img{
      grid-area: img;
      margin-top: 0;
     
    }
}







/* download section */

.download{
  padding: 4rem;
  background-color: var(--white);
}
.download h1{
  font-size: 2.4rem;
  font-weight: 700;
}
.download__links {
  display: flex;
  flex-direction: column;
  gap:4rem;
}

.download__links div{
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;

  padding: 0 5rem 0 1rem ;


  background-color: #ffffff;


  position: relative;

}

.download__links div i{
  position: absolute;
  left: 85%;
  font-size: 4rem;

  transition: all 400ms ease;
}

.download__links div i:hover{
  left: 90%;
}

.download__links h2{
  font-size: 2.4rem;
  font-weight: 700;
}

.download__links img{
 
    min-height: 8rem;
    width: auto;
}
.download__links--desktop{
  display: none;
}

@media (min-width: 1130px) {

  .download__links {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 2rem 0;

  }
  .download__links--mobile{
    display: none;
  }
  
  
    
  .download h1{
    font-size: 3rem;
    font-weight: 700;
  }
 
  .download__links div{
     justify-content: flex-start;

     padding: 2rem;
  }


  .download__links h2{
      font-size: 2rem;
  }

  .download__links img{
      height: 15rem;
      width: auto;
  }

 

}





/* footer */

.footer{
  background-color: var(--black);
  color: var(--white);
  padding: 4rem 2rem;

  display: flex;
  flex-direction: column;

  gap: 4rem;

  

}

.footer__head{

  display: flex;
  flex-direction: column;
  gap: 2rem;

  
  
}
.footer__head div{
 
  display: block;

}
.footer__head .nav__logo{
  font-size: 2rem;
}
.footer__head a{
  padding: 0;
  color: var(--white);
  font-size: 1.5rem;
}

.footer a:hover{
  color: var(--gray);
}
.footer .nav__logo{
  padding: 0;
}



.footer__map{
  display: flex;
  flex-direction: column;
  gap:4.5rem;

} 
.footer__map ul{
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.footer__map ul a{
 color: var(--white);

}

.footer__map ul li:nth-child(1){
  font-weight: bold;

}


.footer__links{
  display: flex;
  flex-direction: column;
  justify-content: space-between;

}

.footer__links .redes{

  display: flex;
  justify-content: space-around;
  max-width: min(100%, 40rem);


}

.redes i{
  color: var(--white);
  padding: 1.2rem;
  border-radius: 7px;

  transition: all 0.5s ease;

}
.redes i:hover{
  background-color: var(--gray);
}


.footer__lang {
 
  margin-top: 0;
  padding: 0;
  display: flex;
}
.footer__lang a{
  
  padding: 1rem;

  margin-right: 1rem;
  border-radius: 7px;
  display: inline-block;
  margin-bottom: 1rem;
  transition: all 0.5s ease;
}
.footer__lang a:hover{
  background-color: var(--gray);
  color: var(--white);
}

.footer__lang a{
  color: var(--white);
  font-weight: 550;
 
}



.footer__img img{
  display: inline;
  max-width: min(100%, 15rem);
  margin-right: 1rem;
}




.helloIamJosting{
  color: var(--gray);
  font-size: 1.5rem;
}


@media (min-width: 768px) {
  .footer__map{
    display: grid;
    grid-template-columns: 1fr 1fr;

  }
}
@media (min-width: 1130px) {
      
   

    .footer__head{

      display: flex;
      flex-direction: row;
      justify-content: space-between;

      gap: 2rem;

    }
  
    .footer__head .nav__logo{
      font-size: 2.5rem;
    }

    .footer__map{
      display: flex;
      flex-direction: row;
      justify-content: start;
      gap:11rem;
      
    } 
    

  


    .footer__links{
      display: grid;
      grid-template-columns: 1fr 1fr;
      align-items: center;

   
    }

    .footer__links .redes{
   
      display: flex;
      justify-content: space-around;
    

    }

    .redes i{
      color: var(--white);
    }

    .footer__lang {

      margin-top: 0;
      padding:  0;

      display: flex;
      justify-content: end;
     
     
    }
    .footer__lang a{
     
      padding: 1rem;
      display: inline-block;
      margin-bottom: 1rem;

      
    }


    .footer__img{
     display: inline-flex;
    }
    .services__links{
      padding: 0;
      margin: 0;
    }
 

    .helloIamJosting{
      color: var(--gray);
      font-size: 2rem;
      text-align: end;
    }

}

